apiVersion: apps/v1
kind: Deployment
metadata:
  name: qos-best-effort-deployment
  labels:
    app: simple
spec:
  replicas: 1
  selector:
    matchLabels:
      app: qos-qos-best-effort-deployment
  template:
    metadata:
      labels:
        app: qos-qos-best-effort-deployment
    spec:
      containers:
      - name: qos-qos-best-effort-deployment
        image: registry.gitlab.com/webberis/kubernetes/kubernetes-examples/simple:master
        imagePullPolicy: Always
        ports:
        - containerPort: 8080
      imagePullSecrets:
      - name: regcred        
